"use strict";
exports.id = 783;
exports.ids = [783];
exports.modules = {

/***/ 3783:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var src_context_AppContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4952);
/* harmony import */ var src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(6742);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(9755);
/* harmony import */ var recoil__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(recoil__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(1853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var src_hooks_useAuth__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(7364);







const Protected = ({ children  })=>{
    const { isLogin , setMessageType , showSidebar , setUser , logout  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(src_context_AppContext__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .ZP);
    const [message, setMessage] = (0,recoil__WEBPACK_IMPORTED_MODULE_4__.useRecoilState)(src_lib_atoms_messageAtom__WEBPACK_IMPORTED_MODULE_3__/* .messageAtom */ .p);
    const router = (0,next_router__WEBPACK_IMPORTED_MODULE_5__.useRouter)();
    const { 0: show , 1: setShow  } = (0,react__WEBPACK_IMPORTED_MODULE_1__.useState)(false);
    const { chechUser  } = (0,src_hooks_useAuth__WEBPACK_IMPORTED_MODULE_6__/* ["default"] */ .Z)();
    (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(()=>{
        if (!isLogin) {
            setMessage("You are not login! please login first");
            setMessageType("error");
            router.replace("/login");
        } else {
            setShow(true);
        }
    }, [
        isLogin
    ]);
    return show && /*#__PURE__*/ react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_0__.Fragment, {
        children: children
    });
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Protected);


/***/ })

};
;