"use strict";
exports.id = 364;
exports.ids = [364];
exports.modules = {

/***/ 7364:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(6689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2167);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(axios__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _context_AppContext__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(4952);
/* harmony import */ var _useAxios__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(2470);




const useAuth = ()=>{
    const { login: appLogin , accessToken , logout: appLogout , checkUser  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useContext)(_context_AppContext__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .ZP);
    const request = (0,_useAxios__WEBPACK_IMPORTED_MODULE_3__/* ["default"] */ .Z)("");
    const axios = axios__WEBPACK_IMPORTED_MODULE_1___default().create({
        baseURL: "http://localhost:8000/api",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded",
            accept: "application/json"
        }
    });
    const login = async (email, password, setError, setLoading)=>{
        setLoading(true);
        const form_data = new FormData();
        form_data.append("email", email);
        form_data.append("password", password);
        // form_data.append('grant_type', 'password')
        // form_data.append('client_id', null)
        // form_data.append('client_secret', null)
        // form_data.append('scope', null)
        axios.post("/login", form_data).then((res)=>{
            setLoading(false);
            appLogin(res?.data?.token);
            return true;
        }).catch((err)=>{
            console.log(err);
            setLoading(false);
            setError("email", {
                message: err?.response?.data?.error
            });
        });
    };
    const logout = async ()=>{
        if (!error) {
            localStorage.removeItem("access_token");
            localStorage.removeItem("token");
            revalidate();
        }
        window.location.pathname = "/login";
    };
    const chechUser = ()=>{
        return request.get("user");
    };
    return {
        login,
        logout,
        chechUser
    };
};
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useAuth);


/***/ })

};
;